org.gradle.language.base.plugins

## Class LanguageBasePlugin

- java.lang.Object
- - org.gradle.language.base.plugins.LanguageBasePlugin

- All Implemented Interfaces:
    Plugin<Project>

      @Incubating
      public class LanguageBasePlugin
      extends Object
      implements Plugin<Project>

  Base plugin for language support. Adds a `BinaryContainer` named `binaries` to the project. Adds a `ProjectSourceSet` named `sources` to the project.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BUILD_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LanguageBasePlugin(org.gradle.internal.reflect.Instantiator instantiator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Project target)` Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BUILD_GROUP

          public static final String BUILD_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LanguageBasePlugin

          @Inject
          public LanguageBasePlugin(org.gradle.internal.reflect.Instantiator instantiator)

  - ### Method Detail

    - #### apply

          public void apply(Project target)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `target` - The target object